Index: KDE/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.cpp
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.cpp
+++ KDE/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.cpp
@@ -360,8 +360,6 @@ void PowerDevilDaemon::applyProfile()
 
     Solid::Control::PowerManager::setBrightness(settings->readEntry("brightness").toInt());
     d->brightness = settings->readEntry("brightness").toInt();
-    Solid::Control::PowerManager::setCpuFreqPolicy((Solid::Control::PowerManager::CpuFreqPolicy)
-            settings->readEntry("cpuPolicy").toInt());
 
     QVariant var = settings->readEntry("disabledCPUs", QVariant());
     QList<QVariant> list = var.toList();
@@ -1169,36 +1167,6 @@ void PowerDevilDaemon::streamData()
     emit stateChanged(d->batteryPercent, d->isPlugged);
 }
 
-QVariantMap PowerDevilDaemon::getSupportedGovernors()
-{
-    QVariantMap retlist;
-
-    Solid::Control::PowerManager::CpuFreqPolicies policies =
-            Solid::Control::PowerManager::supportedCpuFreqPolicies();
-
-    if (policies & Solid::Control::PowerManager::Performance) {
-        retlist[i18n("Performance")] = (int) Solid::Control::PowerManager::Performance;
-    }
-
-    if (policies & Solid::Control::PowerManager::OnDemand) {
-        retlist[i18n("Dynamic (ondemand)")] = (int) Solid::Control::PowerManager::OnDemand;
-    }
-
-    if (policies & Solid::Control::PowerManager::Conservative) {
-        retlist[i18n("Dynamic (conservative)")] = (int) Solid::Control::PowerManager::Conservative;
-    }
-
-    if (policies & Solid::Control::PowerManager::Powersave) {
-        retlist[i18n("Powersave")] = (int) Solid::Control::PowerManager::Powersave;
-    }
-
-    if (policies & Solid::Control::PowerManager::Userspace) {
-        retlist[i18n("Userspace")] = (int) Solid::Control::PowerManager::Userspace;
-    }
-
-    return retlist;
-}
-
 QVariantMap PowerDevilDaemon::getSupportedSuspendMethods()
 {
     QVariantMap retlist;
@@ -1235,15 +1203,6 @@ void PowerDevilDaemon::setPowersavingSch
     Solid::Control::PowerManager::setScheme(scheme);
 }
 
-void PowerDevilDaemon::setGovernor(int governor)
-{
-    if (!checkIfCurrentSessionActive()) {
-        return;
-    }
-
-    Solid::Control::PowerManager::setCpuFreqPolicy((Solid::Control::PowerManager::CpuFreqPolicy) governor);
-}
-
 void PowerDevilDaemon::suspend(int method)
 {
     if (!checkIfCurrentSessionActive()) {
Index: KDE/kdebase/workspace/powerdevil/daemon/org.kde.PowerDevil.xml
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/daemon/org.kde.PowerDevil.xml
+++ KDE/kdebase/workspace/powerdevil/daemon/org.kde.PowerDevil.xml
@@ -16,9 +16,6 @@
     <method name="setProfile">
       <arg type="s" direction="in" />
     </method>
-    <method name="setGovernor">
-      <arg type="i" direction="in" />
-    </method>
     <method name="suspend">
       <arg type="i" direction="in" />
     </method>
@@ -30,10 +27,6 @@
     </method>
     <method name="turnOffScreen" />
     
-    <method name="getSupportedGovernors">
-      <arg type="a{sv}" direction="out" />
-      <annotation name="com.trolltech.QtDBus.QtTypeName.Out0" value="QVariantMap" />
-    </method>
     <method name="getSupportedSuspendMethods">
       <arg type="a{sv}" direction="out" />
       <annotation name="com.trolltech.QtDBus.QtTypeName.Out0" value="QVariantMap" />
Index: KDE/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.h
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.h
+++ KDE/kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.h
@@ -45,7 +45,6 @@ public Q_SLOTS:
     void reloadAndStream();
     void streamData();
 
-    void setGovernor(int governor);
     void suspend(int method);
     void setPowersavingScheme(const QString &scheme);
     void setBrightness(int value);
@@ -55,7 +54,6 @@ public Q_SLOTS:
         deleteLater();
     }
 
-    QVariantMap getSupportedGovernors();
     QStringList getSupportedSchemes();
     QVariantMap getSupportedSuspendMethods();
 
Index: KDE/kdebase/workspace/powerdevil/kcmodule/profileEditPage.ui
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/kcmodule/profileEditPage.ui
+++ KDE/kdebase/workspace/powerdevil/kcmodule/profileEditPage.ui
@@ -45,7 +45,7 @@
        <item>
         <widget class="KTabWidget" name="tabWidget">
          <property name="currentIndex">
-          <number>0</number>
+          <number>2</number>
          </property>
          <widget class="QWidget" name="tab">
           <attribute name="title">
@@ -478,45 +478,17 @@
              </property>
             </widget>
            </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="PoweredFreqLabel_2">
-             <property name="toolTip">
-              <string/>
-             </property>
-             <property name="whatsThis">
-              <string>CPU Behaviour strongly impacts on your system performance and on your battery's life. Here you can choose the policy best suitable for this profile</string>
-             </property>
-             <property name="text">
-              <string>CPU frequency scaling policy:</string>
-             </property>
-             <property name="wordWrap">
-              <bool>false</bool>
-             </property>
-             <property name="buddy">
-              <cstring>freqCombo</cstring>
-             </property>
-            </widget>
+           <item row="0" column="1">
+            <layout class="QHBoxLayout" name="CPUListLayout"/>
            </item>
-           <item row="3" column="1">
-            <widget class="KComboBox" name="freqCombo">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-               <horstretch>0</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="maximumSize">
-              <size>
-               <width>250</width>
-               <height>16777215</height>
-              </size>
-             </property>
-             <property name="whatsThis">
-              <string>CPU Behaviour strongly impacts on your system performance and on your battery's life. Here you can choose the policy best suitable for this profile</string>
+           <item row="2" column="0" colspan="2">
+            <widget class="Line" name="line_5">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item row="4" column="0">
+           <item row="3" column="0">
             <widget class="QLabel" name="label_19">
              <property name="text">
               <string>System powersaving scheme:</string>
@@ -526,7 +498,7 @@
              </property>
             </widget>
            </item>
-           <item row="4" column="1">
+           <item row="3" column="1">
             <widget class="KComboBox" name="schemeCombo">
              <property name="sizePolicy">
               <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
@@ -542,7 +514,7 @@
              </property>
             </widget>
            </item>
-           <item row="5" column="0">
+           <item row="4" column="0">
             <widget class="QLabel" name="label_20">
              <property name="text">
               <string>When loading profile execute:</string>
@@ -552,7 +524,7 @@
              </property>
             </widget>
            </item>
-           <item row="5" column="1">
+           <item row="4" column="1">
             <widget class="KUrlRequester" name="scriptRequester">
              <property name="sizePolicy">
               <sizepolicy hsizetype="MinimumExpanding" vsizetype="Preferred">
@@ -568,23 +540,11 @@
              </property>
             </widget>
            </item>
-           <item row="2" column="0" colspan="2">
-            <widget class="Line" name="line_5">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <layout class="QHBoxLayout" name="CPUListLayout"/>
-           </item>
           </layout>
           <zorder>line_5</zorder>
           <zorder>schemeCombo</zorder>
-          <zorder>PoweredFreqLabel_2</zorder>
           <zorder>label_12</zorder>
           <zorder>label_20</zorder>
-          <zorder>freqCombo</zorder>
           <zorder>label_19</zorder>
           <zorder>scriptRequester</zorder>
           <zorder></zorder>
Index: KDE/kdebase/workspace/powerdevil/kcmodule/EditPage.cpp
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/kcmodule/EditPage.cpp
+++ KDE/kdebase/workspace/powerdevil/kcmodule/EditPage.cpp
@@ -59,7 +59,6 @@ EditPage::EditPage(QWidget *parent)
         KConfigGroup *performance = new KConfigGroup(m_profilesConfig, "Performance");
 
         performance->writeEntry("brightness", 100);
-        performance->writeEntry("cpuPolicy", (int) Solid::Control::PowerManager::Performance);
         performance->writeEntry("idleAction", 0);
         performance->writeEntry("idleTime", 50);
         performance->writeEntry("lidAction", 0);
@@ -144,33 +143,6 @@ void EditPage::fillUi()
         powerButtonCombo->addItem(KIcon("system-suspend"), i18n("Standby"), (int) Standby);
     }
 
-    Solid::Control::PowerManager::CpuFreqPolicies policies = Solid::Control::PowerManager::supportedCpuFreqPolicies();
-
-    if (policies & Solid::Control::PowerManager::Performance) {
-        freqCombo->addItem(KIcon("preferences-system-performance"), i18n("Performance"),
-                           (int) Solid::Control::PowerManager::Performance);
-    }
-
-    if (policies & Solid::Control::PowerManager::OnDemand) {
-        freqCombo->addItem(KIcon("system-switch-user"),
-                           i18n("Dynamic (ondemand)"), (int) Solid::Control::PowerManager::OnDemand);
-    }
-
-    if (policies & Solid::Control::PowerManager::Conservative) {
-        freqCombo->addItem(KIcon("user-invisible"), i18n("Dynamic (conservative)"),
-                           (int) Solid::Control::PowerManager::Conservative);
-    }
-
-    if (policies & Solid::Control::PowerManager::Powersave) {
-        freqCombo->addItem(KIcon("preferences-system-power-management"), i18n("Powersave"),
-                           (int) Solid::Control::PowerManager::Powersave);
-    }
-
-    if (policies & Solid::Control::PowerManager::Userspace) {
-        freqCombo->addItem(KIcon("kuser"), i18n("Userspace"),
-                           (int) Solid::Control::PowerManager::Userspace);
-    }
-
     schemeCombo->addItems(Solid::Control::PowerManager::supportedSchemes());
 
     foreach(const Solid::Device &device, Solid::Device::listFromType(Solid::DeviceInterface::Processor, QString())) {
@@ -222,7 +194,6 @@ void EditPage::fillUi()
     connect(dimOnIdleTime, SIGNAL(valueChanged(int)), SLOT(setProfileChanged()));
     connect(idleTime, SIGNAL(valueChanged(int)), SLOT(setProfileChanged()));
     connect(idleCombo, SIGNAL(currentIndexChanged(int)), SLOT(setProfileChanged()));
-    connect(freqCombo, SIGNAL(currentIndexChanged(int)), SLOT(setProfileChanged()));
     connect(laptopClosedCombo, SIGNAL(currentIndexChanged(int)), SLOT(setProfileChanged()));
     connect(sleepButtonCombo, SIGNAL(currentIndexChanged(int)), SLOT(setProfileChanged()));
     connect(powerButtonCombo, SIGNAL(currentIndexChanged(int)), SLOT(setProfileChanged()));
@@ -322,7 +293,6 @@ void EditPage::loadProfile()
     dimOnIdleTime->setValue(group->readEntry("dimOnIdleTime").toInt());
     idleTime->setValue(group->readEntry("idleTime").toInt());
     idleCombo->setCurrentIndex(idleCombo->findData(group->readEntry("idleAction").toInt()));
-    freqCombo->setCurrentIndex(freqCombo->findData(group->readEntry("cpuPolicy").toInt()));
     schemeCombo->setCurrentIndex(schemeCombo->findText(group->readEntry("scheme")));
     scriptRequester->setUrl(KUrl::fromPath(group->readEntry("scriptpath")));
 
@@ -380,7 +350,6 @@ void EditPage::saveProfile(const QString
     }
 
     group->writeEntry("brightness", brightnessSlider->value());
-    group->writeEntry("cpuPolicy", freqCombo->itemData(freqCombo->currentIndex()).toInt());
     group->writeEntry("dimOnIdle", dimDisplayOnIdle->isChecked());
     group->writeEntry("dimOnIdleTime", dimOnIdleTime->value());
     group->writeEntry("idleAction", idleCombo->itemData(idleCombo->currentIndex()).toInt());
@@ -472,7 +441,6 @@ void EditPage::createProfile(const QStri
     KConfigGroup *group = new KConfigGroup(m_profilesConfig, name);
 
     group->writeEntry("brightness", 80);
-    group->writeEntry("cpuPolicy", (int) Solid::Control::PowerManager::Powersave);
     group->writeEntry("idleAction", 0);
     group->writeEntry("idleTime", 50);
     group->writeEntry("lidAction", 0);
Index: KDE/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.cpp
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.cpp
+++ KDE/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.cpp
@@ -144,40 +144,6 @@ void CapabilitiesPage::fillCapabilities(
 
     supportedMethods->setText(sMethods);
 
-    QString scMethods;
-
-    Solid::Control::PowerManager::CpuFreqPolicies policies = Solid::Control::PowerManager::supportedCpuFreqPolicies();
-
-    if (policies & Solid::Control::PowerManager::Performance) {
-        scMethods.append(QString(i18n("Performance") + QString(", ")));
-    }
-
-    if (policies & Solid::Control::PowerManager::OnDemand) {
-        scMethods.append(QString(i18n("Dynamic (ondemand)") + QString(", ")));
-    }
-
-    if (policies & Solid::Control::PowerManager::Conservative) {
-        scMethods.append(QString(i18n("Dynamic (conservative)") + QString(", ")));
-    }
-
-    if (policies & Solid::Control::PowerManager::Powersave) {
-        scMethods.append(QString(i18n("Powersave") + QString(", ")));
-    }
-
-    if (policies & Solid::Control::PowerManager::Userspace) {
-        scMethods.append(QString(i18n("Userspace") + QString(", ")));
-    }
-
-    if (!scMethods.isEmpty()) {
-        scMethods.remove(scMethods.length() - 2, 2);
-        isScalingSupported->setPixmap(KIcon("dialog-ok-apply").pixmap(16, 16));
-    } else {
-        scMethods = i18nc("None", "No methods found");
-        isScalingSupported->setPixmap(KIcon("dialog-cancel").pixmap(16, 16));
-    }
-
-    supportedPolicies->setText(scMethods);
-
     if (!Solid::Control::PowerManager::supportedSchemes().isEmpty()) {
         isSchemeSupported->setPixmap(KIcon("dialog-ok-apply").pixmap(16, 16));
     } else {
@@ -254,19 +220,7 @@ void CapabilitiesPage::fillCapabilities(
         ent->deleteLater();
     }
 
-    if ((scMethods.isEmpty() || scMethods == i18n("Performance")) &&
-               PowerDevilSettings::scalingWarning()) {
-        setIssue(true, i18n("No scaling methods were found. If your CPU is reasonably recent, this "
-                            "is probably because you have not loaded some kernel modules. Usually "
-                            "scaling modules have names similar to cpufreq_ondemand. Scaling is "
-                            "useful and can save a lot of battery. Click on \"Attempt Loading Modules\" "
-                            "to let PowerDevil try to load the required modules. If you are sure your PC "
-                            "does not support scaling, you can also disable this warning by clicking "
-                            "\"Do not display this warning again\"."),
-                 i18n("Attempt to load modules"), "system-run", SLOT(attemptLoadingModules()),
-                 i18n("Do not display this warning again"), "dialog-ok-apply", SLOT(disableScalingWarn()));
-
-    } else if (!ck) {
+    if (!ck) {
         setIssue(true, i18n("ConsoleKit was not found active on your PC, or PowerDevil cannot contact it. "
                             "ConsoleKit lets PowerDevil detect whether the current session is active, which is "
                             "useful if you have more than one user logged into your system at any one time."));
@@ -341,57 +295,6 @@ void CapabilitiesPage::setIssue(bool iss
     statusLayout->addLayout(ly);
 }
 
-void CapabilitiesPage::disableScalingWarn()
-{
-    PowerDevilSettings::setScalingWarning(false);
-
-    emit reload();
-    emit reloadModule();
-}
-
-void CapabilitiesPage::attemptLoadingModules()
-{
-    // Let's check what we have
-
-    QProcess process;
-
-    process.start("modprobe -l");
-    process.waitForFinished();
-
-    QStringList modules;
-
-    foreach(const QString &ent, process.readAll().split('\n')) {
-        if (ent.contains("cpufreq_") || ent.contains("ondemand")) {
-            QStringList ents = ent.split('/');
-            QString module = ents.at(ents.count() - 1);
-            module.remove(module.length() - 3, 3);
-            modules.append(module);
-        }
-    }
-
-    if (modules.isEmpty()) {
-        KMessageBox::sorry(this, i18n("No kernel modules for CPU scaling were found. Either you do not "
-                                      "have them installed, or PowerDevil could not detect them."),
-                           i18n("Modules not found"));
-        return;
-    }
-
-    QString command = "kdesu '";
-
-    foreach(const QString &ent, modules) {
-        command.append(QString("modprobe %1 | ").arg(ent));
-    }
-
-    command.remove(command.length() - 3, 3);
-
-    command.append('\'');
-
-    system(command.toAscii().data());
-
-    emit reload();
-    emit reloadModule();
-}
-
 void CapabilitiesPage::enableXSync()
 {
     PowerDevilSettings::setPollingSystem(2);
Index: KDE/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.h
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.h
+++ KDE/kdebase/workspace/powerdevil/kcmodule/CapabilitiesPage.h
@@ -38,8 +38,6 @@ public:
 private slots:
     void fillCapabilities();
     void enableXSync();
-    void disableScalingWarn();
-    void attemptLoadingModules();
 
 private:
     void setIssue(bool issue, const QString &text = QString(),
Index: KDE/kdebase/workspace/powerdevil/default.powerdevilprofiles
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/default.powerdevilprofiles
+++ KDE/kdebase/workspace/powerdevil/default.powerdevilprofiles
@@ -7,7 +7,6 @@ DPMSStandbyEnabled=true
 DPMSSuspend=15
 DPMSSuspendEnabled=true
 brightness=38
-cpuPolicy=4
 dimOnIdle=true
 dimOnIdleTime=5
 disableCompositing=true
@@ -33,7 +32,6 @@ DPMSStandbyEnabled=true
 DPMSSuspend=30
 DPMSSuspendEnabled=true
 brightness=100
-cpuPolicy=1
 dimOnIdle=false
 dimOnIdleTime=1
 disableCompositing=false
@@ -59,7 +57,6 @@ DPMSStandbyEnabled=true
 DPMSSuspend=20
 DPMSSuspendEnabled=true
 brightness=62
-cpuPolicy=1
 dimOnIdle=true
 dimOnIdleTime=10
 disableCompositing=false
@@ -85,7 +82,6 @@ DPMSStandbyEnabled=false
 DPMSSuspend=0
 DPMSSuspendEnabled=false
 brightness=100
-cpuPolicy=1
 dimOnIdle=false
 dimOnIdleTime=1
 disableCompositing=false
@@ -110,7 +106,6 @@ DPMSStandbyEnabled=true
 DPMSSuspend=10
 DPMSSuspendEnabled=true
 brightness=13
-cpuPolicy=4
 dimOnIdle=true
 dimOnIdleTime=1
 disableCompositing=true
Index: KDE/kdebase/workspace/powerdevil/kcmodule/capabilitiesPage.ui
===================================================================
--- KDE.orig/kdebase/workspace/powerdevil/kcmodule/capabilitiesPage.ui
+++ KDE/kdebase/workspace/powerdevil/kcmodule/capabilitiesPage.ui
@@ -93,54 +93,20 @@
        </widget>
       </item>
       <item row="5" column="0">
-       <widget class="QLabel" name="label_15">
-        <property name="text">
-         <string>Scaling capability</string>
-        </property>
-       </widget>
-      </item>
-      <item row="5" column="1">
-       <widget class="QLabel" name="isScalingSupported">
-        <property name="text">
-         <string/>
-        </property>
-       </widget>
-      </item>
-      <item row="6" column="0">
        <widget class="Line" name="line_3">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
-      <item row="7" column="0">
-       <widget class="QLabel" name="label_16">
-        <property name="text">
-         <string>Supported CPU Policies</string>
-        </property>
-       </widget>
-      </item>
-      <item row="7" column="1">
-       <widget class="QLabel" name="supportedPolicies">
-        <property name="text">
-         <string/>
-        </property>
-        <property name="scaledContents">
-         <bool>true</bool>
-        </property>
-        <property name="wordWrap">
-         <bool>true</bool>
-        </property>
-       </widget>
-      </item>
-      <item row="8" column="0">
+      <item row="6" column="0">
        <widget class="QLabel" name="label_17">
         <property name="text">
          <string>Supported suspend methods</string>
         </property>
        </widget>
       </item>
-      <item row="8" column="1">
+      <item row="6" column="1">
        <widget class="QLabel" name="supportedMethods">
         <property name="text">
          <string/>
@@ -153,28 +119,28 @@
         </property>
        </widget>
       </item>
-      <item row="9" column="0">
+      <item row="7" column="0">
        <widget class="QLabel" name="label_18">
         <property name="text">
          <string>Supported schemes</string>
         </property>
        </widget>
       </item>
-      <item row="9" column="1">
+      <item row="7" column="1">
        <widget class="QLabel" name="supportedSchemes">
         <property name="text">
          <string/>
         </property>
        </widget>
       </item>
-      <item row="10" column="0">
+      <item row="8" column="0">
        <widget class="Line" name="line">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
-      <item row="11" column="0">
+      <item row="9" column="0">
        <widget class="QLabel" name="label_4">
         <property name="toolTip">
          <string>Support for DPMS</string>
@@ -187,14 +153,14 @@
         </property>
        </widget>
       </item>
-      <item row="11" column="1">
+      <item row="9" column="1">
        <widget class="QLabel" name="dpmsSupport">
         <property name="text">
          <string/>
         </property>
        </widget>
       </item>
-      <item row="12" column="0">
+      <item row="10" column="0">
        <widget class="QLabel" name="label_6">
         <property name="toolTip">
          <string>Checks if ConsoleKit is active on your system</string>
@@ -207,28 +173,28 @@
         </property>
        </widget>
       </item>
-      <item row="12" column="1">
+      <item row="10" column="1">
        <widget class="QLabel" name="ckSupport">
         <property name="text">
          <string/>
         </property>
        </widget>
       </item>
-      <item row="13" column="0">
+      <item row="11" column="0">
        <widget class="Line" name="line_4">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
        </widget>
       </item>
-      <item row="14" column="0">
+      <item row="12" column="0">
        <widget class="QLabel" name="label_3">
         <property name="text">
          <string>Status</string>
         </property>
        </widget>
       </item>
-      <item row="14" column="1">
+      <item row="12" column="1">
        <layout class="QVBoxLayout" name="statusLayout"/>
       </item>
      </layout>

